Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ObjectIDNode Struct Reference

Define a node of an Object Tree. Used internally to contain objects in the tree. Ignore this. More...

`#include <NetworkObject.h>`

List of all members.

## Public Member Functions
| ObjectIDNode ()
| ObjectIDNode (unsigned short ObjectID, NetworkObject *Object)
## Public Attributes
unsigned short | objectID
NetworkObject * | object
## Friends
int | operator== (const ObjectIDNode &left, const ObjectIDNode &right)
int | operator> (const ObjectIDNode &left, const ObjectIDNode &right)
int | operator< (const ObjectIDNode &left, const ObjectIDNode &right)

## Detailed Description

Define a node of an Object Tree. Used internally to contain objects in the tree. Ignore this.

## Constructor & Destructor Documentation

ObjectIDNode::ObjectIDNode | ( |  | ) |

| Default Constructor

ObjectIDNode::ObjectIDNode | ( | unsigned short | ObjectID,
|  | NetworkObject * | Object
| ) |

  | Create a node based on the objectID and a pointer to the NetworkObject Parameters:
  | ObjectID | id of the node
  | Object | the network object

## Friends And Related Function Documentation

int operator< | ( | const ObjectIDNode & | left,
|  | const ObjectIDNode & | right
| ) | `[friend]`

  | Test if one node is lesser than the other Parameters:
  | left | a node
  | right | a node
Returns: True if left is lesser than right

int operator== | ( | const ObjectIDNode & | left,
|  | const ObjectIDNode & | right
| ) | `[friend]`

  | Test if two nodes are equals Parameters:
  | left | a node
  | right | a node
Returns: true if the nodes are the same

int operator> | ( | const ObjectIDNode & | left,
|  | const ObjectIDNode & | right
| ) | `[friend]`

  | Test if one node is greater than the other Parameters:
  | left | a node
  | right | a node
Returns: True if left is greater than right

## Member Data Documentation

NetworkObject* ObjectIDNode::object

| a pointer to the object associated to id

unsigned short ObjectIDNode::objectID

| id

The documentation for this struct was generated from the following files:

- Projects/raknet/include/raknet/NetworkObject.h
- Projects/raknet/Source/NetworkObject.cpp